﻿using System.Web;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.JustMock;

namespace HttpContextTest01
{
    /// <summary>
    /// Summary description for UnitTest1
    /// </summary>
    [TestClass, MockClass]
    public class JustMockTest1
    {
     
        [TestMethod]
        public void TestMethod1()
        {
            var request = new HttpRequest("/", "http://telerik.com", "q=1");

            Mock.Arrange(() => HttpContext.Current.Request).Returns(request);

            Assert.AreEqual(GetCurrentRequest(), request);

            Mock.Assert(() => HttpContext.Current.Request);
       }

        private HttpRequest GetCurrentRequest()
        {
            if (HttpContext.Current != null)
            {
                return HttpContext.Current.Request;
            }

            return null;
        }
    }
}
